Public Member Functions

# HeaderWriter Struct Reference

Base class for writing the header, i.e. More...

`#include <strgen.h>`

Inheritance diagram for HeaderWriter:

## Public Member Functions
virtual void | WriteStringID (const char *name, int stringid)=0
| Write the string ID.
virtual void | Finalise (const StringData &data)=0
| Finalise writing the file.
virtual | ~HeaderWriter ()
| Especially destroy the subclasses.
void | WriteHeader (const StringData &data)
| Write the header information.

## Detailed Description

Base class for writing the header, i.e.

the STR_XXX to numeric value.

Definition at line 93 of file strgen.h.

## Constructor & Destructor Documentation

virtual HeaderWriter::~HeaderWriter | ( |  | ) | `[inline, virtual]`

Especially destroy the subclasses.

Definition at line 108 of file strgen.h.

## Member Function Documentation

virtual void HeaderWriter::Finalise | ( | const StringData & | data | ) | `[pure virtual]`

Finalise writing the file.

Parameters:

  | data | The data about the string.

Implemented in StringNameWriter.

void HeaderWriter::WriteHeader | ( | const StringData & | data | ) |

Write the header information.

Parameters:

  | data | The data about the string.

Definition at line 820 of file strgen_base.cpp.

References StringData::max_strings, LangString::name, StringData::strings, and WriteStringID().

Referenced by GameStrings::Compile().

virtual void HeaderWriter::WriteStringID | ( | const char * | name,
|  | int | stringid |
| ) |  |  | `[pure virtual]`

Write the string ID.

Parameters:

  | name | The name of the string.
  | stringid | The ID of the string.

Implemented in StringNameWriter.

Referenced by WriteHeader().

The documentation for this struct was generated from the following files:

- src/strgen/strgen.h
- src/strgen/strgen_base.cpp